Bug 76400 - Maestro audio issues under new kernel
Maestro audio issues under new kernel
Status: CLOSED DUPLICATE of bug 76171
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-21 08:44 EDT by Martin C. Messer
Modified: 2007-04-18 12:47 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-21 16:30:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin C. Messer 2002-10-21 08:44:42 EDT
Description of Problem:

On my Dell Latitude CxJ with an ESS Technology ES1983S Maestro-3i chip, I can no
longer play sound files of any format. These are the currently loaded modules:

Module                  Size  Used by    Tainted: P  
nfs                    82720   1 (autoclean)
lockd                  55296   1 (autoclean) [nfs]
sunrpc                 73876   1 (autoclean) [nfs lockd]
maestro3               27848   2 (autoclean)
ac97_codec             12224   0 (autoclean) [maestro3]
soundcore               6212   2 (autoclean) [maestro3]
binfmt_misc             7236   1
cisco_ipsec           397632   0 (unused)
autofs                 11172   0 (autoclean) (unused)
smbfs                  38208   1 (autoclean)
ds                      8416   2
yenta_socket           12000   2
pcmcia_core            49888   0 [ds yenta_socket]
3c59x                  28328   1
ext3                   64800   6
jbd                    47892   6 [ext3]

I have a Xircom RealPort that is also having problems (see bug 76399), but this
sound problem occurs whether this card is in the machine or not. I see this in
the logs pertaining to the sound card:

Oct 21 08:36:12 evelle kernel: maestro3: version 1.23 built at 13:44:52 Oct  8 2002
Oct 21 08:36:12 evelle kernel: PCI: Found IRQ 5 for device 00:08.0
Oct 21 08:36:12 evelle kernel: maestro3: Configuring ESS Maestro3(i) found at IO
0xD800 IRQ 5
Oct 21 08:36:12 evelle kernel: maestro3:  subvendor id: 0x00bb1028
Oct 21 08:36:13 evelle kernel: ac97_codec: AC97 Audio codec, id: 0x8384:0x7609
(SigmaTel STAC9721/23)
Oct 21 08:36:13 evelle modprobe: modprobe: Can't locate module sound-service-0-0
Oct 21 08:36:13 evelle modprobe: modprobe: Can't locate module sound-slot-1
Oct 21 08:36:13 evelle modprobe: modprobe: Can't locate module sound-service-1-0
Oct 21 08:36:13 evelle modprobe: modprobe: Can't locate module sound-slot-1
Oct 21 08:36:13 evelle modprobe: modprobe: Can't locate module sound-service-1-0

Attempting to play an mp3, for example, produces no sound. Nothing is registered
in the logs.

Version-Release number of selected component (if applicable):

kernel-2.4.18-17.7.x

How Reproducible:

Always

Let me know what else you need to see.
Comment 1 Arjan van de Ven 2002-10-21 08:48:43 EDT
+Module                  Size  Used by    Tainted: P
+cisco_ipsec           397632   0 (unused)
Comment 2 Martin C. Messer 2002-10-21 09:06:21 EDT
Rebooted without loading the cisco_ipsec module:

Module                  Size  Used by    Not tainted
nfs                    82720   1 (autoclean)
lockd                  55296   1 (autoclean) [nfs]
sunrpc                 73876   1 (autoclean) [nfs lockd]
binfmt_misc             7236   1
autofs                 11172   0 (autoclean) (unused)
smbfs                  38208   1 (autoclean)
ds                      8416   2
yenta_socket           12000   2
pcmcia_core            49888   0 [ds yenta_socket]
3c59x                  28328   1
ext3                   64800   6
jbd                    47892   6 [ext3]

Still no sound. Reran sndconfig (since it appears no sound modules are even
loaded) and got this in log:

Oct 21 09:01:03 evelle kernel: maestro3: version 1.23 built at 13:44:52 Oct  8 2002
Oct 21 09:01:03 evelle kernel: PCI: Found IRQ 5 for device 00:08.0
Oct 21 09:01:03 evelle kernel: maestro3: Configuring ESS Maestro3(i) found at IO
0xD800 IRQ 5
Oct 21 09:01:03 evelle kernel: maestro3:  subvendor id: 0x00bb1028
Oct 21 09:01:04 evelle kernel: ac97_codec: AC97 Audio codec, id: 0x1f1f:0x1f1f
(Unknown)

Not sure if this has anything to do with the cisco_ipsec module now.
Comment 3 Martin C. Messer 2002-10-21 09:10:02 EDT
BTW, I've been able to use sound + cisco_ipsec in prior kernels.
Comment 4 Need Real Name 2002-10-21 16:30:26 EDT
This is a duplicate of bug #76171.
Comment 5 Martin C. Messer 2002-10-22 07:54:51 EDT

*** This bug has been marked as a duplicate of 76171 ***

Note You need to log in before you can comment on or make changes to this bug.